## rtpengine 12.5.1.25

=== debian/changelog ===
rtpengine (12.5.1.25-1) unstable; urgency=medium

  * New upstream version 12.5.1.25
  * add missing kernel-module/gen-* files (Closes: #1099568)

 -- Victor Seva <vseva@debian.org>  Wed, 05 Mar 2025 14:18:13 +0100

rtpengine (12.5.1.24-1) unstable; urgency=medium

  * New upstream version 12.5.1.24

 -- Victor Seva <vseva@debian.org>  Mon, 03 Mar 2025 10:50:10 +0100

## rtpengine 12.5.1.26

=== Makefile ===
.DEFAULT_GOAL := all

with_transcoding ?= yes

ifeq ($(DO_ASAN_FLAGS),1)
ASAN_FLAGS = -ggdb -O0 -fsanitize=address -fsanitize=leak -fsanitize=undefined
ifeq ($(origin CFLAGS),undefined)
CFLAGS := -Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -Wstrict-prototypes
else
CFLAGS := $(CFLAGS)
endif
CFLAGS += $(ASAN_FLAGS)
CFLAGS += -DASAN_BUILD
LDFLAGS += $(ASAN_FLAGS)
export CFLAGS
export LDFLAGS
export ASAN_OPTIONS=verify_asan_link_order=0
export UBSAN_OPTIONS=print_stacktrace=1
export G_SLICE=always-malloc
endif

export top_srcdir = $(CURDIR)

# Initialize all flags, so that we only compute them once.
include lib/deps.Makefile

include lib/lib.Makefile

.PHONY:	all distclean clean coverity

all:
	$(MAKE) -C daemon
ifeq ($(with_transcoding),yes)
	$(MAKE) -C recording-daemon
	$(MAKE) -C perf-tester
endif

install:
	$(MAKE) -C daemon install
ifeq ($(with_transcoding),yes)
	$(MAKE) -C recording-daemon install
	$(MAKE) -C perf-tester install
endif
	mkdir -p $(DESTDIR)/usr/libexec/rtpengine/ $(DESTDIR)/usr/bin $(DESTDIR)/usr/share/man/man1
	install -m 0755 utils/rtpengine-get-table $(DESTDIR)/usr/libexec/rtpengine/
	install -m 0755 utils/rtpengine-ctl utils/rtpengine-ng-client $(DESTDIR)/usr/bin/
	install -m 0644 utils/rtpengine-ctl.1 utils/rtpengine-ng-client.1 $(DESTDIR)/usr/share/man/man1

coverity:
	$(MAKE) -C daemon
ifeq ($(with_transcoding),yes)
	$(MAKE) -C recording-daemon
	$(MAKE) -C perf-tester
endif

.PHONY: with-kernel

with-kernel: all
	$(MAKE) -C kernel-module

install-with-kernel: all install
	$(MAKE) -C kernel-module install

distclean clean:
	$(MAKE) -C daemon clean
	$(MAKE) -C recording-daemon clean
	$(MAKE) -C perf-tester clean
	$(MAKE) -C kernel-module clean
	$(MAKE) -C t clean
	rm -f config.mk

.DEFAULT:
	$(MAKE) -C daemon $@
	$(MAKE) -C recording-daemon $@
	$(MAKE) -C perf-tester
	$(MAKE) -C kernel-module $@

.PHONY: check asan-check

check: all
	$(MAKE) -C t

asan-check:
	DO_ASAN_FLAGS=1 $(MAKE) check

=== debian/changelog ===
rtpengine (12.5.1.26-1) unstable; urgency=medium

  * New upstream version 12.5.1.26

 -- Victor Seva <vseva@debian.org>  Mon, 17 Mar 2025 18:26:12 +0100

## rtpengine 12.5.1.27

=== debian/changelog ===
rtpengine (12.5.1.27-2) unstable; urgency=medium

  [ Andreas Beckmann ] (Closes: #1101804)
  * dkms.conf: declare BUILD_EXCLUSIVE_KERNEL_MIN="5.1"
  * dkms.prerm: do not act on daemon or module in a container environment
  * fix building twice in a row

 -- Victor Seva <vseva@debian.org>  Tue, 01 Apr 2025 11:54:44 +0200

rtpengine (12.5.1.27-1) unstable; urgency=medium

  * New upstream version 12.5.1.27

 -- Victor Seva <vseva@debian.org>  Fri, 28 Mar 2025 11:23:45 +0100

## rtpengine 12.5.1.30

=== daemon/Makefile ===
TARGET=		rtpengine

export top_srcdir = ..

include ../lib/deps.Makefile

with_iptables_option ?= yes
with_transcoding ?= yes

ifeq ($(origin CFLAGS),undefined)
CFLAGS:=	-g -Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -Wstrict-prototypes -Werror=return-type \
		-Wshadow
else
CFLAGS:=	$(CFLAGS)
endif
CFLAGS+=	-pthread -fno-strict-aliasing
CFLAGS+=	-std=c11
CFLAGS+=	-I. -I../kernel-module/ -I../lib/ -I../include/
CFLAGS+=	-D_GNU_SOURCE
CFLAGS+=	$(CFLAGS_GLIB)
CFLAGS+=	$(CFLAGS_GTHREAD)
CFLAGS+=	$(CFLAGS_LIBZ)
CFLAGS+=	$(CFLAGS_OPENSSL)
CFLAGS+=	$(CFLAGS_LIBEVENT)
CFLAGS+=	$(CFLAGS_LIBPCRE)
CFLAGS+=	$(CFLAGS_XMLRPC)
CFLAGS+=	$(CFLAGS_JSON_GLIB)
CFLAGS+=	$(CFLAGS_LIBWEBSOCKETS)
CFLAGS+=	$(CFLAGS_LIBNFTNL)
CFLAGS+=	$(CFLAGS_LIBMNL)
ifeq ($(with_iptables_option),yes)
CFLAGS+=	$(CFLAGS_LIBIPTC)
CFLAGS+=	-DWITH_IPTABLES_OPTION
endif
ifeq ($(with_transcoding),yes)
CFLAGS+=	$(CFLAGS_LIBAVCODEC)
CFLAGS+=	$(CFLAGS_LIBAVFORMAT)
CFLAGS+=	$(CFLAGS_LIBAVUTIL)
CFLAGS+=	$(CFLAGS_LIBSWRESAMPLE)
CFLAGS+=	$(CFLAGS_LIBAVFILTER)
CFLAGS+=	$(CFLAGS_SPANDSP)
CFLAGS+=	$(CFLAGS_OPUS)
CFLAGS+=	-DWITH_TRANSCODING
CFLAGS+=	$(CFLAGS_MYSQL)
else
CFLAGS+=	-DWITHOUT_CODECLIB
endif
ifeq ($(without_nftables),yes)
CFLAGS+=	-DWITHOUT_NFTABLES
endif

### compile time options:
#CFLAGS+=	-DSRTCP_KEY_DERIVATION_RFC_COMPLIANCE
#CFLAGS+=	-DSTRICT_SDES_KEY_LIFETIME

LDLIBS:=	-lm -ldl
LDLIBS+=	$(LDLIBS_GLIB)
LDLIBS+=	$(LDLIBS_GTHREAD)
LDLIBS+=	$(LDLIBS_LIBZ)
LDLIBS+=	$(LDLIBS_LIBPCRE)
LDLIBS+=	$(LDLIBS_LIBCRYPTO)
LDLIBS+=	$(LDLIBS_OPENSSL)
LDLIBS+=	$(LDLIBS_LIBEVENT)
LDLIBS+=	$(LDLIBS_LIBPCAP)
LDLIBS+=	$(LDLIBS_XMLRPC)
LDLIBS+=	$(LDLIBS_LIBHIREDIS)
LDLIBS+=	$(LDLIBS_JSON_GLIB)
LDLIBS+=	$(LDLIBS_LIBWEBSOCKETS)
LDLIBS+=	$(LDLIBS_LIBNFTNL)
LDLIBS+=	$(LDLIBS_LIBMNL)
ifeq ($(with_iptables_option),yes)
LDLIBS+=	$(LDLIBS_LIBIPTC)
endif
ifeq ($(with_transcoding),yes)
LDLIBS+=	$(LDLIBS_LIBAVCODEC)
LDLIBS+=	$(LDLIBS_LIBAVFORMAT)
LDLIBS+=	$(LDLIBS_LIBAVUTIL)
LDLIBS+=	$(LDLIBS_LIBSWRESAMPLE)
LDLIBS+=	$(LDLIBS_LIBAVFILTER)
LDLIBS+=	$(LDLIBS_SPANDSP)
LDLIBS+=	$(LDLIBS_OPUS)
LDLIBS+=	$(LDLIBS_MYSQL)
endif

ifeq ($(with_transcoding),yes)
CFLAGS+=	$(CFLAGS_BCG729)
LDLIBS+=	$(LDLIBS_BCG729)

CFLAGS+=	$(CFLAGS_CODEC_CHAIN)
LDLIBS+=	$(LDLIBS_CODEC_CHAIN)
endif

CFLAGS+=	$(CFLAGS_MQTT)
LDLIBS+=	$(LDLIBS_MQTT)

SRCS=		main.c kernel.c helpers.c control_tcp.c call.c control_udp.c redis.c \
		bencode.c cookie_cache.c udp_listener.c control_ng_flags_parser.c control_ng.strhash.c sdp.strhash.c stun.c rtcp.c \
		crypto.c rtp.c call_interfaces.strhash.c dtls.c log.c cli.c graphite.c ice.c \
		media_socket.c homer.c recording.c statistics.c cdr.c ssrc.c iptables.c tcp_listener.c \
		codec.c load.c dtmf.c timerthread.c media_player.c jitter_buffer.c t38.c websocket.c \
		mqtt.c janus.strhash.c audio_player.c
ifneq ($(without_nftables),yes)
SRCS+=		nftables.c
endif
LIBSRCS=	loglib.c auxlib.c rtplib.c str.c socket.c streambuf.c ssllib.c dtmflib.c mix_buffer.c poller.c \
		bufferpool.c
ifeq ($(with_transcoding),yes)
LIBSRCS+=	codeclib.strhash.c resample.c
LIBASM=		mvr2s_x64_avx2.S mvr2s_x64_avx512.S mix_in_x64_avx2.S mix_in_x64_avx512bw.S mix_in_x64_sse2.S
endif
ifneq ($(have_liburing),yes)
LIBSRCS+=	uring.c
endif
OBJS=		$(SRCS:.c=.o) $(LIBSRCS:.c=.o) $(LIBASM:.S=.o)

MDS=		rtpengine.ronn
MANS=		$(MDS:.ronn=.8)

include ../lib/common.Makefile

install: $(TARGET) $(MANS)
	install -m 0755 -D $(TARGET) $(DESTDIR)/usr/bin/$(TARGET)
	install -m 0644 -D $(TARGET).8 $(DESTDIR)/usr/share/man/man8/$(TARGET).8

=== kernel-module/Makefile ===
KSRC   ?= /lib/modules/$(shell uname -r)/build
KBUILD := $(KSRC)
M      ?= $(CURDIR)

export M

include $(M)/rtpengine-kmod.mk

EXTRA_CFLAGS+=	-DRTPENGINE_VERSION="\"$(RTPENGINE_VERSION)\""

obj-m        += xt_RTPENGINE.o

.PHONY:		modules clean patch install

modules:
		$(MAKE) -C $(KBUILD) M=$(CURDIR) O=$(KBUILD) modules

clean:
		$(MAKE) -C $(KBUILD) M=$(CURDIR) clean || true
		rm -f rtpengine-kmod.mk

patch:
		../utils/patch-kernel magic "$(CURDIR)" "$(KERNEL)" "$(RTPENGINE_VERSION)"

install:
	install -D xt_RTPENGINE.ko $(DESTDIR)/lib/modules/$(shell uname -r)/updates/xt_RTPENGINE.ko
	depmod -a

$(M)/rtpengine-kmod.mk:
	$(M)/gen-rtpengine-kmod-flags >$@

=== t/Makefile ===
TARGET=		all-tests

export top_srcdir = ..

include ../lib/deps.Makefile

with_transcoding ?= yes

ifeq ($(origin CFLAGS),undefined)
CFLAGS?=	-g -Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -Wstrict-prototypes -Werror=return-type \
		-Wshadow
else
CFLAGS:=	$(CFLAGS)
endif
PRELOAD_CFLAGS := $(CFLAGS)
CFLAGS+=	-pthread -fno-strict-aliasing
CFLAGS+=	-std=c11
CFLAGS+=	-I. -I../lib/ -I../kernel-module/ -I../include/
CFLAGS+=	-D_GNU_SOURCE
CFLAGS+=	$(CFLAGS_GLIB)
CFLAGS+=	$(CFLAGS_GTHREAD)
CFLAGS+=	$(CFLAGS_OPENSSL)
CFLAGS+=	$(CFLAGS_LIBPCRE)
CFLAGS+=	$(CFLAGS_JSON_GLIB)
ifeq ($(with_transcoding),yes)
CFLAGS+=	$(CFLAGS_LIBAVCODEC)
CFLAGS+=	$(CFLAGS_LIBAVFORMAT)
CFLAGS+=	$(CFLAGS_LIBAVUTIL)
CFLAGS+=	$(CFLAGS_LIBSWRESAMPLE)
CFLAGS+=	$(CFLAGS_LIBAVFILTER)
CFLAGS+=	$(CFLAGS_SPANDSP)
CFLAGS+=	$(CFLAGS_OPUS)
CFLAGS+=	$(CFLAGS_LIBZ)
CFLAGS+=	$(CFLAGS_LIBWEBSOCKETS)
CFLAGS+=	$(CFLAGS_LIBEVENT)
CFLAGS+=	$(CFLAGS_XMLRPC)
CFLAGS+=	-DWITH_TRANSCODING
ifeq ($(RTPENGINE_EXTENDED_TESTS),1)
CFLAGS+=	-DWITH_AMR_TESTS
endif
CFLAGS+=	$(CFLAGS_MYSQL)
else
CFLAGS+=	-DWITHOUT_CODECLIB
endif

LDLIBS:=	-lm -ldl
LDLIBS+=	$(LDLIBS_GLIB)
LDLIBS+=	$(LDLIBS_GTHREAD)
LDLIBS+=	$(LDLIBS_LIBCRYPTO)
LDLIBS+=	$(LDLIBS_OPENSSL)
LDLIBS+=	$(LDLIBS_LIBPCRE)
LDLIBS+=	$(LDLIBS_JSON_GLIB)
ifeq ($(with_transcoding),yes)
LDLIBS+=	$(LDLIBS_LIBAVCODEC)
LDLIBS+=	$(LDLIBS_LIBAVFORMAT)
LDLIBS+=	$(LDLIBS_LIBAVUTIL)
LDLIBS+=	$(LDLIBS_LIBSWRESAMPLE)
LDLIBS+=	$(LDLIBS_LIBAVFILTER)
LDLIBS+=	$(LDLIBS_SPANDSP)
LDLIBS+=	$(LDLIBS_OPUS)
LDLIBS+=	$(LDLIBS_LIBZ)
LDLIBS+=	$(LDLIBS_LIBWEBSOCKETS)
LDLIBS+=	$(LDLIBS_LIBPCAP)
LDLIBS+=	$(LDLIBS_LIBEVENT)
LDLIBS+=	$(LDLIBS_XMLRPC)
LDLIBS+=	$(LDLIBS_LIBHIREDIS)
LDLIBS+=	$(LDLIBS_MYSQL)
endif

CFLAGS+=	$(CFLAGS_CODEC_CHAIN)
LDLIBS+=	$(LDLIBS_CODEC_CHAIN)

SRCS=		test-bitstr.c aes-crypt.c aead-aes-crypt.c test-const_str_hash.strhash.c
LIBSRCS=	loglib.c auxlib.c str.c rtplib.c ssllib.c mix_buffer.c bufferpool.c
DAEMONSRCS=	crypto.c ssrc.c helpers.c rtp.c
HASHSRCS=

ifeq ($(with_transcoding),yes)
SRCS+=		test-transcode.c test-dtmf-detect.c test-payload-tracker.c test-resample.c test-stats.c
SRCS+=		spandsp_recv_fax_pcm.c spandsp_recv_fax_t38.c spandsp_send_fax_pcm.c \
		spandsp_send_fax_t38.c test-mix-buffer.c
ifeq ($(RTPENGINE_EXTENDED_TESTS),1)
SRCS+=		test-amr-decode.c test-amr-encode.c
endif
LIBSRCS+=	codeclib.strhash.c resample.c socket.c streambuf.c dtmflib.c poller.c bufferpool.c
DAEMONSRCS+=	control_ng_flags_parser.c codec.c call.c ice.c kernel.c media_socket.c stun.c bencode.c \
		dtls.c recording.c statistics.c rtcp.c redis.c iptables.c graphite.c \
		cookie_cache.c udp_listener.c homer.c load.c cdr.c dtmf.c timerthread.c \
		media_player.c jitter_buffer.c t38.c tcp_listener.c mqtt.c websocket.c cli.c \
		audio_player.c
HASHSRCS+=	call_interfaces.c control_ng.c sdp.c janus.c
LIBASM=		mvr2s_x64_avx2.S mvr2s_x64_avx512.S mix_in_x64_avx2.S mix_in_x64_avx512bw.S mix_in_x64_sse2.S
endif
ifneq ($(have_liburing),yes)
LIBSRCS+=	uring.c
endif

OBJS=		$(SRCS:.c=.o) $(LIBSRCS:.c=.o) $(DAEMONSRCS:.c=.o) $(HASHSRCS:.c=.strhash.o) $(LIBASM:.S=.o)

COMMONOBJS=	str.o auxlib.o rtplib.o loglib.o ssllib.o

include ../lib/common.Makefile

.PHONY:		all-tests unit-tests daemon-tests daemon-tests \
	daemon-tests-main daemon-tests-jb daemon-tests-dtx daemon-tests-dtx-cn daemon-tests-pubsub \
	daemon-tests-intfs daemon-tests-stats daemon-tests-delay-buffer daemon-tests-delay-timing \
	daemon-tests-evs daemon-tests-player-cache daemon-tests-redis daemon-tests-t38 daemon-tests-evs-dtx

TESTS=		test-bitstr aes-crypt aead-aes-crypt test-const_str_hash.strhash
ifeq ($(with_transcoding),yes)
TESTS+=		test-transcode test-dtmf-detect test-payload-tracker test-resample test-stats test-mix-buffer
ifeq ($(RTPENGINE_EXTENDED_TESTS),1)
TESTS+=		test-amr-decode test-amr-encode
endif
endif

ADD_CLEAN=	tests-preload.so time-fudge-preload.so $(TESTS)

ifeq ($(with_transcoding),yes)
all-tests:	unit-tests daemon-tests
else
all-tests:	unit-tests
endif
	true # override linking recipe from common.Makefile

unit-tests:	$(TESTS)
	failed="" ; \
	for x in $(TESTS); do \
	  echo `date +"%Y-%m-%d %H:%M:%S"` testing: $$x ; \
	  G_DEBUG=fatal-warnings ./$$x ; \
	  if [ $$? -eq 0 ] ; \
	    then echo `date +"%Y-%m-%d %H:%M:%S"` test $$x: succeeded ; \
	    else echo `date +"%Y-%m-%d %H:%M:%S"` test $$x: failed ; failed="$$failed $$x" ; \
	  fi ; \
	done ; \
	if [ -n "$$failed" ] ; then \
	  echo "Tests failed: $$failed" ; \
	  exit 1 ; \
	fi

daemon-tests: daemon-tests-main daemon-tests-jb daemon-tests-pubsub daemon-tests-websocket \
	daemon-tests-evs daemon-tests-async-tc \
	daemon-tests-audio-player daemon-tests-audio-player-play-media \
	daemon-tests-intfs daemon-tests-stats daemon-tests-player-cache daemon-tests-redis \
	daemon-tests-rtpp-flags

daemon-test-deps:	tests-preload.so
	$(MAKE) -C ../daemon

daemon-tests-main:	daemon-test-deps
	./auto-test-helper "$@" perl -I../perl auto-daemon-tests.pl

daemon-tests-jb:	daemon-test-deps
	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-jb.pl

daemon-tests-dtx:	daemon-test-deps
	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-dtx.pl

daemon-tests-dtx-cn:	daemon-test-deps
	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-dtx-cn.pl

daemon-tests-pubsub:	daemon-test-deps
	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-pubsub.pl

daemon-tests-stats:	daemon-test-deps
	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-stats.pl

daemon-tests-websocket:	daemon-test-deps
	./auto-test-helper "$@" python3 auto-daemon-tests-websocket.py

daemon-tests-intfs:	daemon-test-deps
	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-intfs.pl

daemon-tests-delay-buffer:	daemon-test-deps
	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-delay-buffer.pl

daemon-tests-delay-timing:	daemon-test-deps
	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-delay-timing.pl

daemon-tests-evs:	daemon-test-deps
	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-evs.pl

daemon-tests-player-cache:	daemon-test-deps
	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-player-cache.pl

daemon-tests-redis:	daemon-test-deps
	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-redis.pl

daemon-tests-audio-player:	daemon-test-deps
	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-audio-player.pl

daemon-tests-audio-player-play-media:	daemon-test-deps
	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-audio-player-play-media.pl

daemon-tests-rtpp-flags:	daemon-test-deps
	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-rtpp-flags.pl

daemon-tests-async-tc:	daemon-test-deps
	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-async-tc.pl

daemon-tests-t38:	daemon-test-deps spandsp_recv_fax_pcm spandsp_recv_fax_t38 \
			spandsp_send_fax_pcm spandsp_send_fax_t38
	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-t38.pl

daemon-tests-evs-dtx:	daemon-test-deps
	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-evs-dtx.pl

test-bitstr:	test-bitstr.o

test-mix-buffer:	test-mix-buffer.o $(COMMONOBJS) mix_buffer.o ssrc.o rtp.o crypto.o helpers.o \
	mix_in_x64_avx2.o mix_in_x64_sse2.o mix_in_x64_avx512bw.o codeclib.strhash.o dtmflib.o \
	mvr2s_x64_avx2.o mvr2s_x64_avx512.o resample.o bufferpool.o uring.o poller.o

spandsp_send_fax_pcm:	spandsp_send_fax_pcm.o

spandsp_recv_fax_pcm:	spandsp_recv_fax_pcm.o

spandsp_send_fax_t38:	spandsp_send_fax_t38.o

spandsp_recv_fax_t38:	spandsp_recv_fax_t38.o

spandsp_raw_fax_tests: spandsp_send_fax_pcm spandsp_recv_fax_pcm spandsp_send_fax_t38 spandsp_recv_fax_t38

test-amr-decode: test-amr-decode.o $(COMMONOBJS) codeclib.strhash.o resample.o dtmflib.o resample.o \
	mvr2s_x64_avx2.o mvr2s_x64_avx512.o

test-amr-encode: test-amr-encode.o $(COMMONOBJS) codeclib.strhash.o resample.o dtmflib.o \
	mvr2s_x64_avx2.o mvr2s_x64_avx512.o

test-dtmf-detect: test-dtmf-detect.o

aes-crypt:	aes-crypt.o $(COMMONOBJS) crypto.o

aead-aes-crypt:	aead-aes-crypt.o $(COMMONOBJS) crypto.o

test-stats:	test-stats.o $(COMMONOBJS) codeclib.strhash.o resample.o codec.o ssrc.o call.o ice.o helpers.o \
	kernel.o media_socket.o stun.o bencode.o socket.o poller.o dtls.o recording.o statistics.o \
	rtcp.o redis.o iptables.o graphite.o call_interfaces.strhash.o sdp.strhash.o rtp.o crypto.o \
	control_ng_flags_parser.o control_ng.strhash.o graphite.o \
	streambuf.o cookie_cache.o udp_listener.o homer.o load.o cdr.o dtmf.o timerthread.o \
	media_player.o jitter_buffer.o dtmflib.o t38.o tcp_listener.o mqtt.o janus.strhash.o \
	websocket.o cli.o mvr2s_x64_avx2.o mvr2s_x64_avx512.o audio_player.o mix_buffer.o \
	mix_in_x64_avx2.o mix_in_x64_sse2.o mix_in_x64_avx512bw.o bufferpool.o uring.o

test-transcode:	test-transcode.o $(COMMONOBJS) codeclib.strhash.o resample.o codec.o ssrc.o call.o ice.o helpers.o \
	kernel.o media_socket.o stun.o bencode.o socket.o poller.o dtls.o recording.o statistics.o \
	rtcp.o redis.o iptables.o graphite.o call_interfaces.strhash.o sdp.strhash.o rtp.o crypto.o \
	control_ng_flags_parser.o control_ng.strhash.o \
	streambuf.o cookie_cache.o udp_listener.o homer.o load.o cdr.o dtmf.o timerthread.o \
	media_player.o jitter_buffer.o dtmflib.o t38.o tcp_listener.o mqtt.o janus.strhash.o websocket.o \
	cli.o mvr2s_x64_avx2.o mvr2s_x64_avx512.o audio_player.o mix_buffer.o \
	mix_in_x64_avx2.o mix_in_x64_sse2.o mix_in_x64_avx512bw.o bufferpool.o uring.o

test-resample:	test-resample.o $(COMMONOBJS) codeclib.strhash.o resample.o dtmflib.o mvr2s_x64_avx2.o \
	mvr2s_x64_avx512.o

test-payload-tracker: test-payload-tracker.o $(COMMONOBJS) ssrc.o helpers.o auxlib.o rtp.o crypto.o codeclib.strhash.o \
	resample.o dtmflib.o mvr2s_x64_avx2.o mvr2s_x64_avx512.o bufferpool.o uring.o poller.o

test-kernel-module: test-kernel-module.o $(COMMONOBJS) kernel.o

test-const_str_hash.strhash: test-const_str_hash.strhash.o $(COMMONOBJS)

PRELOAD_CFLAGS += -D_GNU_SOURCE -std=c11
PRELOAD_LIBS += -ldl

tests-preload.so:	tests-preload.c
	$(CC) $(PRELOAD_CFLAGS) -o $@ -shared -fPIC $< $(PRELOAD_LIBS)

time-fudge-preload.so:	time-fudge-preload.c
	$(CC) $(PRELOAD_CFLAGS) -o $@ -shared -fPIC $< $(PRELOAD_LIBS)

spandsp_send_fax_pcm.c:	spandsp_logging.h
spandsp_send_fax_t38.c:	spandsp_logging.h
spandsp_recv_fax_t38.c:	spandsp_logging.h
spandsp_recv_fax_pcm.c:	spandsp_logging.h

=== debian/changelog ===
rtpengine (12.5.1.30-1) unstable; urgency=medium

  * New upstream version 12.5.1.30 (Closes: #1102960)

 -- Victor Seva <vseva@debian.org>  Mon, 14 Apr 2025 14:55:31 +0200

## rtpengine 12.5.1.31

=== Makefile ===
--- 
+++ 
@@ -67,6 +67,7 @@
 	$(MAKE) -C perf-tester clean
 	$(MAKE) -C kernel-module clean
 	$(MAKE) -C t clean
+	$(MAKE) -C lib clean
 	rm -f config.mk
 
 .DEFAULT:

=== t/Makefile ===
--- 
+++ 
@@ -21,6 +21,7 @@
 CFLAGS+=	$(CFLAGS_GTHREAD)
 CFLAGS+=	$(CFLAGS_OPENSSL)
 CFLAGS+=	$(CFLAGS_LIBPCRE)
+CFLAGS+=	$(CFLAGS_LIBCURL)
 CFLAGS+=	$(CFLAGS_JSON_GLIB)
 ifeq ($(with_transcoding),yes)
 CFLAGS+=	$(CFLAGS_LIBAVCODEC)
@@ -33,7 +34,6 @@
 CFLAGS+=	$(CFLAGS_LIBZ)
 CFLAGS+=	$(CFLAGS_LIBWEBSOCKETS)
 CFLAGS+=	$(CFLAGS_LIBEVENT)
-CFLAGS+=	$(CFLAGS_XMLRPC)
 CFLAGS+=	-DWITH_TRANSCODING
 ifeq ($(RTPENGINE_EXTENDED_TESTS),1)
 CFLAGS+=	-DWITH_AMR_TESTS
@@ -49,6 +49,7 @@
 LDLIBS+=	$(LDLIBS_LIBCRYPTO)
 LDLIBS+=	$(LDLIBS_OPENSSL)
 LDLIBS+=	$(LDLIBS_LIBPCRE)
+LDLIBS+=	$(LDLIBS_LIBCURL)
 LDLIBS+=	$(LDLIBS_JSON_GLIB)
 ifeq ($(with_transcoding),yes)
 LDLIBS+=	$(LDLIBS_LIBAVCODEC)
@@ -62,7 +63,6 @@
 LDLIBS+=	$(LDLIBS_LIBWEBSOCKETS)
 LDLIBS+=	$(LDLIBS_LIBPCAP)
 LDLIBS+=	$(LDLIBS_LIBEVENT)
-LDLIBS+=	$(LDLIBS_XMLRPC)
 LDLIBS+=	$(LDLIBS_LIBHIREDIS)
 LDLIBS+=	$(LDLIBS_MYSQL)
 endif

=== debian/changelog ===
rtpengine (12.5.1.31-1) unstable; urgency=medium

  * New upstream version 12.5.1.31 (Closes: #1104367)

 -- Victor Seva <vseva@debian.org>  Wed, 30 Apr 2025 15:29:45 +0200

=== debian/control ===
Source: rtpengine
Section: net
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders:
 Victor Seva <vseva@debian.org>,
 Guillem Jover <gjover@sipwise.com>,
 Michael Prokop <mika@debian.org>,
Homepage: https://github.com/sipwise/rtpengine/
Vcs-Git: https://salsa.debian.org/pkg-voip-team/rtpengine.git
Vcs-Browser: https://salsa.debian.org/pkg-voip-team/rtpengine/
Standards-Version: 4.7.0
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 default-libmysqlclient-dev,
 dh-sequence-dkms,
 discount,
 gperf,
 libavcodec-dev (>= 6:10),
 libavfilter-dev (>= 6:10),
 libavformat-dev (>= 6:10),
 libavutil-dev (>= 6:10),
 libbcg729-dev <!pkg.rtpengine.nobcg729>,
 libbencode-perl,
 libcrypt-openssl-rsa-perl,
 libcrypt-rijndael-perl,
 libcurl4-openssl-dev | libcurl4-gnutls-dev,
 libdigest-crc-perl,
 libdigest-hmac-perl,
 libevent-dev (>= 2.0),
 libglib2.0-dev (>= 2.44),
 libhiredis-dev,
 libio-multiplex-perl,
 libio-socket-inet6-perl,
 libio-socket-ip-perl,
 libiptc-dev,
 libjson-glib-dev,
 libjson-perl,
 libmnl-dev,
 libmosquitto-dev,
 libncurses-dev,
 libnet-interface-perl,
 libnftnl-dev,
 libopus-dev,
 libpcap0.8-dev,
 libpcre2-dev,
 libsocket6-perl,
 libspandsp-dev,
 libssl-dev (>= 1.0.1),
 libswresample-dev (>= 6:10),
 libsystemd-dev,
 libtest2-suite-perl,
 liburing-dev (>= 2.3) <!pkg.rtpengine.nouring>,
 libwebsockets-dev,
 libxmlrpc-core-c3-dev (>= 1.16.07),
 libxtables-dev (>= 1.4) | iptables-dev (>= 1.4),
 pandoc,
 pkgconf,
 python3,
 python3-websockets,
 systemd-dev | systemd,
 zlib1g-dev,
Testsuite: autopkgtest-pkg-dkms

Package: rtpengine-daemon
Architecture: any
Multi-Arch: foreign
Pre-Depends:
 adduser,
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 rtpengine-perftest <!pkg.rtpengine.no-transcoding>,
 rtpengine-recording-daemon,
 rtpengine-utils,
Provides:
 rtpengine-iptables,
Conflicts:
 ngcp-rtpengine-daemon,
 rtpengine-iptables,
Replaces:
 rtpengine-iptables,
Description: proxy for RTP and media streams used in NGCP, userspace part
 Sipwise NGCP rtpengine is a proxy for RTP traffic and other UDP based media
 traffic. It's meant to be used with the Kamailio SIP proxy and forms a
 drop-in replacement for any of the other available RTP and media proxies.
 .
 This daemon handles the first stages of proxying media streams and talks to
 the kernel part of the proxy for eventual high-performance packet forwarding.

Package: rtpengine-recording-daemon
Architecture: any
Multi-Arch: foreign
Build-Profiles: <!pkg.rtpengine.no-transcoding>
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 nfs-common,
 rtpengine-daemon,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 rtpengine-utils,
Conflicts:
 ngcp-rtpengine-recording-daemon,
Description: recording daemon for RTP and media streams
 Sipwise NGCP rtpengine is a proxy for RTP traffic and other UDP based media
 traffic. It's meant to be used with the Kamailio SIP proxy and forms a
 drop-in replacement for any of the other available RTP and media proxies.
 .
 This daemon handles the call recording (media intercept) component of rtpengine.

Package: rtpengine
Architecture: all
Multi-Arch: foreign
Depends:
 rtpengine-daemon (>= ${source:Version}),
 rtpengine-kernel-dkms (>= ${source:Version}),
 rtpengine-perftest (>= ${source:Version}) <!pkg.ngcp-rtpengine.no-transcoding>,
 rtpengine-recording-daemon (>= ${source:Version}) <!pkg.ngcp-rtpengine.no-transcoding>,
 rtpengine-utils (>= ${source:Version}),
 ${misc:Depends},
Conflicts:
 ngcp-rtpengine,
Description: NGCP RTP/media proxy - metapackage
 Sipwise NGCP rtpengine is a proxy for RTP traffic and other UDP based media
 traffic. It's meant to be used with the Kamailio SIP proxy and forms a
 drop-in replacement for any of the other available RTP and media proxies.
 .
 This is a metapackage for easy installation of all four parts of the NGCP
 media proxy. It will install the user-space daemon, the kernel-space IPtables
 module, the IPtables extension module and utility scripts.

Package: rtpengine-kernel-dkms
Section: kernel
Architecture: all
Depends:
 ${misc:Depends},
Conflicts:
 ngcp-rtpengine-kernel-dkms,
Description: IPtables kernel module for the NGCP media proxy - DKMS
 Sipwise NGCP rtpengine is a proxy for RTP traffic and other UDP based media
 traffic. It's meant to be used with the Kamailio SIP proxy and forms a
 drop-in replacement for any of the other available RTP and media proxies.
 .
 Provides the kernel-space part of the NGCP media proxy for high-
 performance packet forwarding.
 This package contains the source to be built with dkms.

Package: rtpengine-utils
Architecture: all
Multi-Arch: foreign
Depends:
 libbencode-perl,
 libconfig-tiny-perl,
 libcrypt-rijndael-perl,
 libdigest-hmac-perl,
 libio-socket-inet6-perl,
 libio-socket-ip-perl,
 libjson-perl,
 libsocket6-perl,
 netcat-openbsd | netcat,
 ${misc:Depends},
 ${perl:Depends},
Conflicts:
 ngcp-rtpengine-utils,
Description: scripts and Perl modules for NGCP rtpengine
 Sipwise NGCP rtpengine is a proxy for RTP traffic and other UDP based media
 traffic. It's meant to be used with the Kamailio SIP proxy and forms a
 drop-in replacement for any of the other available RTP and media proxies.
 .
 This package contains scripts and Perl modules for NGCP rtpengine

Package: rtpengine-perftest
Architecture: any
Build-Profiles: <!pkg.rtpengine.no-transcoding>
Multi-Arch: foreign
Depends:
 rtpengine-perftest-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: helper tool to test rtpengine transcoding performance
 This interactive tool simulates transcoding scenarios using the rtpengine code
 base and produces performance and load statistics.

Package: rtpengine-perftest-data
Architecture: all
Multi-Arch: foreign
Build-Profiles: <!pkg.rtpengine.no-transcoding>
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: helper tool to test rtpengine transcoding performance - data files
 This interactive tool simulates transcoding scenarios using the rtpengine code
 base and produces performance and load statistics.
 .
 These are data files needed for the binary package.

=== debian/watch ===
version=4
# follow just the mr12.5 line
https://github.com/sipwise/rtpengine/tags (?:.*?/)?mr(12\.5[\d.]*)\.tar\.gz

## rtpengine 12.5.1.35

=== debian/changelog ===
rtpengine (12.5.1.35-1) unstable; urgency=medium

  * New upstream version 12.5.1.35 (Closes: #1106709)

 -- Victor Seva <vseva@debian.org>  Mon, 02 Jun 2025 16:14:56 +0200

## rtpengine 12.5.1.38

=== daemon/Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 CFLAGS+=	$(CFLAGS_OPENSSL)
 CFLAGS+=	$(CFLAGS_LIBEVENT)
 CFLAGS+=	$(CFLAGS_LIBPCRE)
-CFLAGS+=	$(CFLAGS_XMLRPC)
+CFLAGS+=	$(CFLAGS_LIBCURL)
 CFLAGS+=	$(CFLAGS_JSON_GLIB)
 CFLAGS+=	$(CFLAGS_LIBWEBSOCKETS)
 CFLAGS+=	$(CFLAGS_LIBNFTNL)
@@ -58,11 +58,11 @@
 LDLIBS+=	$(LDLIBS_GTHREAD)
 LDLIBS+=	$(LDLIBS_LIBZ)
 LDLIBS+=	$(LDLIBS_LIBPCRE)
+LDLIBS+=	$(LDLIBS_LIBCURL)
 LDLIBS+=	$(LDLIBS_LIBCRYPTO)
 LDLIBS+=	$(LDLIBS_OPENSSL)
 LDLIBS+=	$(LDLIBS_LIBEVENT)
 LDLIBS+=	$(LDLIBS_LIBPCAP)
-LDLIBS+=	$(LDLIBS_XMLRPC)
 LDLIBS+=	$(LDLIBS_LIBHIREDIS)
 LDLIBS+=	$(LDLIBS_JSON_GLIB)
 LDLIBS+=	$(LDLIBS_LIBWEBSOCKETS)

=== kernel-module/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 include $(M)/rtpengine-kmod.mk
 
-EXTRA_CFLAGS+=	-DRTPENGINE_VERSION="\"$(RTPENGINE_VERSION)\""
+ccflags-y    += -DRTPENGINE_VERSION="\"$(RTPENGINE_VERSION)\""
 
 obj-m        += xt_RTPENGINE.o

=== recording-daemon/Makefile ===
TARGET=		rtpengine-recording

export top_srcdir = ..

include ../lib/deps.Makefile

ifeq ($(origin CFLAGS),undefined)
CFLAGS?=	-g -Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -Wstrict-prototypes -Werror=return-type \
		-Wshadow
else
CFLAGS:=	$(CFLAGS)
endif
CFLAGS+=	-pthread
CFLAGS+=	-std=c11
CFLAGS+=	-fno-strict-aliasing
CFLAGS+=	-I. -I../lib/ -I../kernel-module/
CFLAGS+=	-D_GNU_SOURCE -D_POSIX_SOURCE -D_POSIX_C_SOURCE
CFLAGS+=	$(CFLAGS_GLIB)
CFLAGS+=	$(CFLAGS_GTHREAD)
CFLAGS+=	$(CFLAGS_LIBAVCODEC)
CFLAGS+=	$(CFLAGS_LIBAVFORMAT)
CFLAGS+=	$(CFLAGS_LIBAVUTIL)
CFLAGS+=	$(CFLAGS_LIBSWRESAMPLE)
CFLAGS+=	$(CFLAGS_LIBAVFILTER)
CFLAGS+=	$(CFLAGS_OPUS)
CFLAGS+=	$(CFLAGS_MYSQL)
CFLAGS+=	$(CFLAGS_OPENSSL)
CFLAGS+=	$(CFLAGS_LIBCURL)

LDLIBS:=	-lm -ldl
LDLIBS+=	$(LDLIBS_GLIB)
LDLIBS+=	$(LDLIBS_GTHREAD)
LDLIBS+=	$(LDLIBS_LIBAVCODEC)
LDLIBS+=	$(LDLIBS_LIBAVFORMAT)
LDLIBS+=	$(LDLIBS_LIBAVUTIL)
LDLIBS+=	$(LDLIBS_LIBSWRESAMPLE)
LDLIBS+=	$(LDLIBS_LIBAVFILTER)
LDLIBS+=	$(LDLIBS_OPUS)
LDLIBS+=	$(LDLIBS_MYSQL)
LDLIBS+=	$(LDLIBS_OPENSSL)
LDLIBS+=	$(LDLIBS_LIBCURL)

CFLAGS+=	$(CFLAGS_BCG729)
LDLIBS+=	$(LDLIBS_BCG729)

SRCS=		epoll.c garbage.c inotify.c main.c metafile.c stream.c recaux.c packet.c \
		decoder.c output.c mix.c db.c log.c forward.c tag.c poller.c notify.c
LIBSRCS=	loglib.c auxlib.c rtplib.c codeclib.strhash.c resample.c str.c socket.c streambuf.c ssllib.c \
		dtmflib.c bufferpool.c
LIBASM=		mvr2s_x64_avx2.S mvr2s_x64_avx512.S mix_in_x64_avx2.S mix_in_x64_avx512bw.S mix_in_x64_sse2.S
OBJS=		$(SRCS:.c=.o) $(LIBSRCS:.c=.o) $(LIBASM:.S=.o)

MDS=		rtpengine-recording.ronn
MANS=		$(MDS:.ronn=.8)

include ../lib/common.Makefile

install: $(TARGET) $(MANS)
	install -m 0755 -D $(TARGET) $(DESTDIR)/usr/bin/$(TARGET)
	install -m 0644 -D $(TARGET).8 $(DESTDIR)/usr/share/man/man8/$(TARGET).8

=== t/Makefile ===
--- 
+++ 
@@ -104,7 +104,8 @@
 .PHONY:		all-tests unit-tests daemon-tests daemon-tests \
 	daemon-tests-main daemon-tests-jb daemon-tests-dtx daemon-tests-dtx-cn daemon-tests-pubsub \
 	daemon-tests-intfs daemon-tests-stats daemon-tests-delay-buffer daemon-tests-delay-timing \
-	daemon-tests-evs daemon-tests-player-cache daemon-tests-redis daemon-tests-t38 daemon-tests-evs-dtx
+	daemon-tests-evs daemon-tests-player-cache daemon-tests-redis daemon-tests-t38 daemon-tests-evs-dtx \
+	daemon-tests-measure-rtp daemon-tests-heuristic daemon-tests-rtcp
 
 TESTS=		test-bitstr aes-crypt aead-aes-crypt test-const_str_hash.strhash
 ifeq ($(with_transcoding),yes)
@@ -142,7 +143,7 @@
 	daemon-tests-evs daemon-tests-async-tc \
 	daemon-tests-audio-player daemon-tests-audio-player-play-media \
 	daemon-tests-intfs daemon-tests-stats daemon-tests-player-cache daemon-tests-redis \
-	daemon-tests-rtpp-flags
+	daemon-tests-rtpp-flags daemon-tests-measure-rtp daemon-tests-heuristic daemon-tests-rtcp
 
 daemon-test-deps:	tests-preload.so
 	$(MAKE) -C ../daemon
@@ -153,6 +154,9 @@
 daemon-tests-jb:	daemon-test-deps
 	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-jb.pl
 
+daemon-tests-heuristic:	daemon-test-deps
+	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-heuristic.pl
+
 daemon-tests-dtx:	daemon-test-deps
 	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-dtx.pl
 
@@ -194,6 +198,9 @@
 
 daemon-tests-rtpp-flags:	daemon-test-deps
 	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-rtpp-flags.pl
+
+daemon-tests-measure-rtp:	daemon-test-deps
+	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-measure-rtp.pl
 
 daemon-tests-async-tc:	daemon-test-deps
 	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-async-tc.pl
@@ -202,8 +209,8 @@
 			spandsp_send_fax_pcm spandsp_send_fax_t38
 	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-t38.pl
 
-daemon-tests-evs-dtx:	daemon-test-deps
-	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-evs-dtx.pl
+daemon-tests-rtcp:	daemon-test-deps
+	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-rtcp.pl
 
 test-bitstr:	test-bitstr.o

=== debian/changelog ===
rtpengine (12.5.1.38-1) unstable; urgency=medium

  * New upstream version 12.5.1.38

 -- Victor Seva <vseva@debian.org>  Wed, 30 Jul 2025 23:15:36 +0200

## rtpengine 12.5.1.45

=== debian/changelog ===
rtpengine (12.5.1.45-1) unstable; urgency=medium

  * New upstream version 12.5.1.45

 -- Victor Seva <vseva@debian.org>  Wed, 03 Sep 2025 19:04:33 +0200

## rtpengine 12.5.1.46

=== perf-tester/Makefile ===
TARGET = rtpengine-perftest

export top_srcdir = ..

include ../lib/deps.Makefile

FIXTURES_PATH ?= ../fixtures

ifeq ($(origin CFLAGS),undefined)
CFLAGS ?= -g -Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -Wstrict-prototypes -Werror=return-type \
		-Wshadow
else
CFLAGS := $(CFLAGS)
endif

CFLAGS += -pthread
CFLAGS += -std=c11
CFLAGS += -I. -I../kernel-module/ -I../lib/
CFLAGS += -D_GNU_SOURCE
CFLAGS += -DFIXTURES_PATH="\"$(FIXTURES_PATH)\""
CFLAGS += -DWITH_TRANSCODING
CFLAGS += $(CFLAGS_GLIB)
CFLAGS += $(CFLAGS_GTHREAD)
CFLAGS += $(CFLAGS_LIBAVCODEC)
CFLAGS += $(CFLAGS_LIBAVFORMAT)
CFLAGS += $(CFLAGS_LIBAVUTIL)
CFLAGS += $(CFLAGS_LIBSWRESAMPLE)
CFLAGS += $(CFLAGS_LIBAVFILTER)
CFLAGS += $(CFLAGS_SPANDSP)
CFLAGS += $(CFLAGS_OPUS)
CFLAGS += $(CFLAGS_NCURSESW)
CFLAGS += $(CFLAGS_OPENSSL)

LDLIBS := -lm -ldl
LDLIBS += $(LDLIBS_GLIB)
LDLIBS += $(LDLIBS_GTHREAD)
LDLIBS += $(LDLIBS_LIBAVCODEC)
LDLIBS += $(LDLIBS_LIBAVFORMAT)
LDLIBS += $(LDLIBS_LIBAVUTIL)
LDLIBS += $(LDLIBS_LIBSWRESAMPLE)
LDLIBS += $(LDLIBS_LIBAVFILTER)
LDLIBS += $(LDLIBS_SPANDSP)
LDLIBS += $(LDLIBS_OPUS)
LDLIBS += $(LDLIBS_NCURSESW)
LDLIBS += $(LDLIBS_OPENSSL)

CFLAGS += $(CFLAGS_BCG729)
LDLIBS += $(LDLIBS_BCG729)

CFLAGS += $(CFLAGS_CODEC_CHAIN)
LDLIBS += $(LDLIBS_CODEC_CHAIN)

SRCS = main.c log.c
LIBSRCS = codeclib.strhash.c loglib.c auxlib.c resample.c str.c dtmflib.c rtplib.c poller.c ssllib.c bufferpool.c
LIBASM = mvr2s_x64_avx2.S mvr2s_x64_avx512.S

OBJS = $(SRCS:.c=.o) $(LIBSRCS:.c=.o) $(LIBASM:.S=.o)

include ../lib/common.Makefile

main.o: fix_frame_channel_layout.h

install: $(TARGET)
	install -m 0755 -D $(TARGET) $(DESTDIR)/usr/bin/$(TARGET)

=== debian/changelog ===
rtpengine (12.5.1.46-1) unstable; urgency=medium

  * New upstream version 12.5.1.46

 -- Victor Seva <vseva@debian.org>  Tue, 23 Sep 2025 16:52:02 +0200
